Bug 1873875 - Review Request: icebreaker - An addictive action-puzzle game involving bouncing penguins
Summary: Review Request: icebreaker - An addictive action-puzzle game involving bounci...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-30 17:35 UTC by Matthew Miller
Modified: 2021-10-11 07:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-11 07:58:34 UTC
Type: ---
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Matthew Miller 2020-08-30 17:35:51 UTC
Spec URL: https://mattdm.org/icebreaker/2.0.x/icebreaker.spec
SRPM URL: https://download.copr.fedorainfracloud.org/results/mattdm/icebreaker/fedora-rawhide-x86_64/01640069-icebreaker/icebreaker-2.0.0-1.fc34.src.rpm

Description:

IceBreaker is an action-puzzle game in which you must capture penguins from
an Antarctic iceberg so they can be shipped to Finland, where they are
essential to a secret plot for world domination. To earn the highest Geek
Cred, trap them in the smallest space in the shortest time while losing the
fewest lives. IceBreaker was inspired by (but is far from an exact clone of)
Jezzball by Dima Pavlovsky.


Fedora Account System Username: mattdm

Comment 1 Neal Gompa 2020-08-30 17:42:39 UTC
Taking this review.

Comment 2 Neal Gompa 2020-08-30 17:54:08 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU Lesser General Public License",
     "GNU General Public License", "*No copyright* GNU Lesser General
     Public License", "*No copyright* GNU General Public License", "GPL (v2
     or later)", "GPL (v2 or later) (with incorrect FSF address)". 52 files
     have unknown license. Detailed output of licensecheck in
     /home/ngompa/1873875-icebreaker/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: icebreaker-2.0.0-1.fc34.x86_64.rpm
          icebreaker-debuginfo-2.0.0-1.fc34.x86_64.rpm
          icebreaker-debugsource-2.0.0-1.fc34.x86_64.rpm
          icebreaker-2.0.0-1.fc34.src.rpm
icebreaker.src:7: W: mixed-use-of-spaces-and-tabs (spaces: line 7, tab: line 1)
4 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: icebreaker-debuginfo-2.0.0-1.fc34.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
icebreaker-debugsource.x86_64: W: invalid-url URL: http://www.mattdm.org/icebreaker/ <urlopen error [Errno -3] Temporary failure in name resolution>
icebreaker.x86_64: W: invalid-url URL: http://www.mattdm.org/icebreaker/ <urlopen error [Errno -3] Temporary failure in name resolution>
icebreaker-debuginfo.x86_64: W: invalid-url URL: http://www.mattdm.org/icebreaker/ <urlopen error [Errno -3] Temporary failure in name resolution>
3 packages and 0 specfiles checked; 0 errors, 3 warnings.



Source checksums
----------------
https://mattdm.org/icebreaker/2.0.x/icebreaker-2.0.0.tar.xz :
  CHECKSUM(SHA256) this package     : 3c277a5ff97f7aed61c2703a1f0b72a8553a8a1bdc39a2e457a2347e2ff881fc
  CHECKSUM(SHA256) upstream package : 3c277a5ff97f7aed61c2703a1f0b72a8553a8a1bdc39a2e457a2347e2ff881fc


Requires
--------
icebreaker (rpmlib, GLIBC filtered):
    libSDL-1.2.so.0()(64bit)
    libSDL_mixer-1.2.so.0()(64bit)
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)

icebreaker-debuginfo (rpmlib, GLIBC filtered):

icebreaker-debugsource (rpmlib, GLIBC filtered):



Provides
--------
icebreaker:
    application()
    application(icebreaker.desktop)
    icebreaker
    icebreaker(x86-64)

icebreaker-debuginfo:
    debuginfo(build-id)
    icebreaker-debuginfo
    icebreaker-debuginfo(x86-64)

icebreaker-debugsource:
    icebreaker-debugsource
    icebreaker-debugsource(x86-64)



Diff spec file in url and in SRPM
---------------------------------
--- /home/ngompa/1873875-icebreaker/srpm/icebreaker.spec	2020-08-30 13:43:29.666678823 -0400
+++ /home/ngompa/1873875-icebreaker/srpm-unpacked/icebreaker.spec	2020-08-30 13:28:08.000000000 -0400
@@ -1,10 +1,10 @@
-Name:       icebreaker
-Version:    2.0.0
-Release:    1%{?dist}
-Summary:    An addictive action-puzzle game involving bouncing penguins
-License:    GPLv2
+Name:		icebreaker
+Version:	2.0.0
+Release:	1%{?dist}
+Summary:	An addictive action-puzzle game involving bouncing penguins
+License:	GPLv2
 
-Source:     https://mattdm.org/icebreaker/2.0.x/icebreaker-%{version}.tar.xz
-URL:        http://www.mattdm.org/icebreaker/
+Source: 	https://mattdm.org/icebreaker/2.0.x/icebreaker-%{version}.tar.xz
+URL:		http://www.mattdm.org/icebreaker/
 
 BuildRequires:  gcc, make


Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1873875 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, C/C++, Generic
Disabled plugins: Perl, Java, Ocaml, SugarActivity, R, Haskell, PHP, fonts, Python
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Neal Gompa 2020-08-30 17:55:50 UTC
Review notes:

* The source code seems to indicate that the license is GPLv2+, not GPLv2.
* The spec differs from SRPM and spec file link
* It's not worth penalizing on lack of parallel make for the crufty Makefiles in this codebase...

Can you address the first two points?

Comment 4 Matthew Miller 2020-08-30 19:41:15 UTC
Thanks Neal. I'll have to review what the author's actual intentions were with the license. GPLv2+ is probably fine. :)

On the spec file: the one in the archive / source repo has some macros for excessively-clever handling of devel and prerelease versions. I figured I'd just clean that up for the Fedora one. Should I just make them the same and include that? I guess I can.

Comment 5 Neal Gompa 2020-08-30 20:26:03 UTC
(In reply to Matthew Miller from comment #4)
> Thanks Neal. I'll have to review what the author's actual intentions were
> with the license. GPLv2+ is probably fine. :)
> 
> On the spec file: the one in the archive / source repo has some macros for
> excessively-clever handling of devel and prerelease versions. I figured I'd
> just clean that up for the Fedora one. Should I just make them the same and
> include that? I guess I can.

I mean that the spec file in the SRPM is not the same. That is, if I did `fedpkg import`, it would be not the same as the spec file you linked me.

Comment 6 Matthew Miller 2020-08-30 21:21:36 UTC
Oh! Yeah it's just whitespace changes because I noticed "icebreaker.src:7: W: mixed-use-of-spaces-and-tabs (spaces: line 7, tab: line 1)" and fixed that. I'll increment the release number as I make it GPLv2+ anyway.

Comment 7 Matthew Miller 2020-08-30 21:31:24 UTC
Updated specfile (same URL) and submitted a new copr build https://copr.fedorainfracloud.org/coprs/mattdm/icebreaker/build/1640130/

Comment 9 Neal Gompa 2020-08-31 01:33:22 UTC
I can't run fedora-review on a copr URL, could you provide the Spec and SRPM URLs?

Comment 10 Matthew Miller 2020-08-31 03:46:12 UTC
You totally can run fedora-review on a COPR URL! `fedora-review --copr-build 1640140`

Comment 11 Neal Gompa 2020-08-31 12:23:28 UTC
WHOA. TIL. Alright then...

Comment 12 Neal Gompa 2020-08-31 13:08:46 UTC
Everything looks good now, so...

PACKAGE APPROVED.

Comment 13 Gwyn Ciesla 2020-08-31 15:30:41 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/icebreaker

Comment 14 Mattia Verga 2021-10-11 07:58:34 UTC
Package imported, closing.


Note You need to log in before you can comment on or make changes to this bug.